entsor Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
entsor Module Reference
Collaboration diagram for entsor:

## Data Fields
integer, save | nfecra
| standard output More...
integer, dimension(nvarmx), save | iwarni
| characterises the level of detail of the outputs for the variable ivar (from 1 to nvar). The quantity of information increases with its value. Impose the value 0 or 1 for a reasonable listing size. Impose the value 2 to get a maximum quantity of information, in case of problem during the execution. Always useful. More...
integer, save | impmvo
| unit of the upstream restart file for the vortex method. Useful if and only if isuivo=1 and ivrtex=1. More...
integer, save | impvvo
| unit of the downstream restart file for the vortex method. Useful if and only if ivrtex=1. More...
integer, save | impdvo
| unit of the ficvor data files for the vortex method. These files are text files. Their number and names are specified by the user in the usvort subroutine. (Although it corresponds to an 'upstream' data file, impdvo is initialized to 20 because, in case of multiple vortex entries, it is opened at the same time as the ficmvo upstream restart file, which already uses unit 11) useful if and only if ivrtex=1 More...
character *13, save | ficdat
| name of file, see usvort module. More...
integer, save | ntsuit
| saving period of the restart filesy5 More...
integer, dimension(nvppmx), save | ichrvr
| in post post processing output nth variable if ichrvr(n)=1 for each quantity defined at the cell centres (physical or numerical variable), indicator of whether it should be post-processed or not More...
character *32, save | ficfpp
| name of the thermochemical data file. The launch script is designed to copy the user specified thermochemical data file in the temporary execution directory under the name dp_tch, for CS to open it properly. Should the value of ficfpp be changed, the launch script would have to be adapted. Useful in case of gas or pulverised coal combustion. More...
integer, save | impfpp
| logical unit of the thermochemical data file. Useful in case of gas or pulverised coal combustion or electric arcs; More...
integer, save | indjon
| perform Janaf (=1) or not (=0) More...
character *32, save | ficmet
| Input files for the atmospheric specific physics (name of the meteo profile file) More...
integer, save | impmet
| logical unit of the meteo profile file More...
integer | nushmx
| Maximum number of user chronological files. In the case where ushist is used. More...
character *80, save | emphis
| directory in which the potential chronological record files generated by the Kernel will be written (path related to the execution directory) More...
character *80, save | prehis
| prefix of history files More...
integer, dimension(nushmx), save | impush
| units of the user chronological record files. Useful if and only if the subroutine ushist is used. More...
character *13, dimension(nushmx), save | ficush
| names of the user chronological record files. In the case of a non-parallel calculation, the suffix applied the file name is a three digit number: , , ... In the case of a parallel-running calculation, the four digit processor index-number is added to the suffix. For instance, for a calculation running on two processors: -from to -and to . More...
integer, dimension(2), save | impsth
| sytock file and mobile structure varibles output unit More...
integer | ncaptm
| maximum number of probes see associated format in ecrhis More...
integer, save | tplfmt
| time plot format (1: .dat, 2: .csv, 3: both) More...
integer, save | ncapt
| total number of probes (limited to ncaptm=100) More...
integer, save | nthist
| output period of the chronological record files: More...
double precision, save | frhist
| frhist : output frequency in seconds More...
integer, save | nthsav
| saving period the chronological record files (they are first stored in a temporary file and then saved every nthsav time step): More...
integer, dimension(nvppmx, ncaptm+1), save | ihisvr
| number ihisvr(n, 1) and index-numbers ihisvr(n, j>1) of the record probes to be used for each variable, em i.e. calculation variable or physical property defined at the cell centers. With ihisvr(n, 1)=-999 or -1, ihisvr(n, j>1) is useless. More...
integer, save | ihistr
| write indicator (O or 1) for history of internal mobile structures More...
integer, dimension(ncaptm), save | nodcap
| probes corresponding element More...
integer, dimension(ncaptm), save | ndrcap
| row of process containing nodcap (in parallel processing) More...
double precision, dimension(3, ncaptm), save | xyzcap
| xyzcap : required position for a probe 3D-coordinates of the probes. the coordinates are written: xyzcap(i,j), with i = 1,2 or 3 and j <= ncapt. Useful if and only if ncapt > 0. More...
double precision, save | tplflw
| tplflw : time plot flush wall-time interval (none if <= 0) More...
character *6, save | ficlal
| name of Lagrange listing More...
integer, save | implal
| logical unit of Lagrange listing More...
integer, save | ntlal
| output period of Lagrange listing More...
integer, save | impla1
| unit of a file specific to Lagrangian modelling. Useful in case of Lagrangian modelling. More...
integer, save | impla2
| unit of a file specific to Lagrangian modelling. Useful in case of Lagrangian modelling. More...
integer, save | impla3
| unit of a file specific to Lagrangian modelling. Useful in case of Lagrangian modelling. More...
integer, save | impla4
| unit of a file specific to Lagrangian modelling. Useful in case of Lagrangian modelling. More...
integer, dimension(15), save | impla5
| units of files specific to Lagrangian modelling. 15-dimension array. Useful in case of Lagrangian modelling. More...
integer | nusrmx
| maximal number of user files More...
integer, dimension(nusrmx), save | impusr
| unit numbers for potential user specified files. Useful if and only if the user needs files (therefore always useful, by security) More...
character *13, dimension(nusrmx), save | ficusr
| name of the potential user specified files. In the case of a non-parallel calculation, the suffix applied the file name is a two digit number: from to . In the case of a parallel-running calculation, the four digit processor index-number is added to the suffix. For instance, for a calculation running on two processors: from to and from to . The opening, closing, format and location of these files must be managed by the user. useful if and only if the user needs files (therefore always useful, by security) More...
character *80, dimension(nvppmx), save | nomvar
| name of the variables (unknowns, physical properties ...): used in the execution listing, in the post-processing files, etc. If not initialised, the code chooses the manes by default. It is recommended not to define variable names of more than 16 characters, to get a clear execution listing (some advanced writing levels take into account only the first 16 characters). always useful} More...
integer, dimension(nvarmx), save | ipprtp
| locator pointer vor variables output More...
integer, dimension(npromx), save | ipppro
| locator pointer vor variables output More...
integer, save | ippdt
| locator pointer vor variables output More...
integer, save | ipptx
| locator pointer vor variables output More...
integer, save | ippty
| locator pointer vor variables output More...
integer, save | ipptz
| locator pointer vor variables output More...
integer, dimension(nvppmx), save | ilisvr
| for every quantity (variable, physical or numerical property ...), indicator concerning the writing in the execution report file default value (-999) is automatically converted into 1 if the concerned quantity is one of the main variables (pressure, velocity, turbulence, scalar), the density, the time step if idtvar > 0 or the turbulent viscosity. Otherwise converted into 0. = 1: writing in the execution listing. = 0: no writing. More...
integer, dimension(nvppmx), save | itrsvr
| index of a variable if ipp corresponds to a determined variable (p,u,k...) 0 si ipp corresponds to an annex variable (cp, mut...) or to nothing. More...
integer, save | ntlist
| writing period in the execution report file. More...
integer, dimension(nvppmx), save | nbivar
| number of iterations More...
double precision, dimension(nvppmx), save | rnsmbr
| right-hand-side norm More...
double precision, dimension(nvppmx), save | resvar
| normed residual More...
double precision, dimension(nvppmx), save | dervar
| norm of drift in time More...
integer, dimension(6), save | ipstdv
| indicates the data to post-process on the boundary mesh (the boundary mesh must have been activated with ichrbo=1. Its value is the product of the following integers, depending on the variables that should be post-processed: ipstyp: at the boundary ipstcl: value of the variables at the boundary (using the boundary conditions but without reconstruction) ipstft}: thermal flux at the boundary ( ), if a thermal scalar has been defined (iscalt) For instance, with ipstdv=ipstyp*ipstcl, and the variables will be post-processed at the boundaries. With ipstdv=1, none of these data are post-processed at the boundaries. always useful if ichrbo=1 More...
integer | ipstfo
| post-processed property: Efforts (1: all; 2: tangent; 4: normal) More...
integer | ipstyp
| post-processed property: yplus More...
integer | ipsttp
| post-processed property: Tplus More...
integer | ipstft
| post-processed property: thermal flux rebuilt More...
integer | ipsttb
| post-processed property: boundary temperature More...
integer | ipstnu
| post-processed property: Nusselt More...
double precision, save | tmarus
| margin in seconds on the remaining CPU time which is necessary to allow the calculation to stop automatically and write all the required results (for the machines having a queue manager). More...

The documentation for this module was generated from the following file:

- src/base/entsor.f90